音色克隆
curl --request POST \
--url https://api.ephone.ai/suno/v2/create-voice \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"audio_url": "https://example.com/audio.mp3"
}
'import requests
url = "https://api.ephone.ai/suno/v2/create-voice"
payload = { "audio_url": "https://example.com/audio.mp3" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({audio_url: 'https://example.com/audio.mp3'})
};
fetch('https://api.ephone.ai/suno/v2/create-voice', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.ephone.ai/suno/v2/create-voice"
payload := strings.NewReader("{\n \"audio_url\": \"https://example.com/audio.mp3\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"code": "success",
"message": "success",
"data": {
"task_id": "5adac6ee-..."
}
}{
"code": "error",
"message": "music_id is required"
}{
"error": {
"message": "Invalid Token",
"type": "rix_api_error"
}
}{
"error": {
"message": "Too many requests, please try again later",
"type": "rix_api_error"
}
}音色与模型
音色克隆
用一段音频克隆出可复用的音色。
POST
/
suno
/
v2
/
create-voice
音色克隆
curl --request POST \
--url https://api.ephone.ai/suno/v2/create-voice \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"audio_url": "https://example.com/audio.mp3"
}
'import requests
url = "https://api.ephone.ai/suno/v2/create-voice"
payload = { "audio_url": "https://example.com/audio.mp3" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({audio_url: 'https://example.com/audio.mp3'})
};
fetch('https://api.ephone.ai/suno/v2/create-voice', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.ephone.ai/suno/v2/create-voice"
payload := strings.NewReader("{\n \"audio_url\": \"https://example.com/audio.mp3\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"code": "success",
"message": "success",
"data": {
"task_id": "5adac6ee-..."
}
}{
"code": "error",
"message": "music_id is required"
}{
"error": {
"message": "Invalid Token",
"type": "rix_api_error"
}
}{
"error": {
"message": "Too many requests, please try again later",
"type": "rix_api_error"
}
}也可以用统一任务接口
POST /v1/task/submit 提交:model 填 suno/create-voice,参数放进 input。两种写法效果与计费完全一样。任务结果
任务成功后,查询结果里产物的格式
任务结果
任务成功后,查询结果里产物的格式
任务成功后,
data.persona_id 是创建出的音色 ID。生成、翻唱、续写时填进 persona_id,就会用这个音色演唱。{
"code": "success",
"data": {
"task_id": "5adac6ee-...",
"action": "create-voice",
"model": "suno/create-voice",
"status": "SUCCESS",
"progress": "100%",
"persona_id": "c2f0e6a1-..."
}
}
授权
在请求头 Authorization: Bearer YOUR_API_KEY 里带上 API Key。
请求体
application/json
此页面对您有帮助吗?